# PSF-LoginServer - master - net.psforever.types.SquadResponseType
PSF - LoginServer - master - net.psforever.types.SquadResponseType
Keywords: PSF LoginServer master net.psforever.types.SquadResponseType

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# SquadResponseType

###

#### object SquadResponseType extends Enumeration

Source
  SquadResponseType.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadResponseType
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val Accept: Value
5.  val Cancel: Value
6.  val Disband: Value
7.  val Invite: Value
8.  val Leave: Value
9.  val PlatoonAccept: Value
10.  val PlatoonCancel: Value
11.  val PlatoonDisband: Value
12.  val PlatoonInvite: Value
13.  val PlatoonLeave: Value
14.  val PlatoonReject: Value
15.  val Reject: Value
16.  val Unk01: Value
17.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
18.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
19.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
20.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
21.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
22.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
23.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
24.  implicit val codec: Codec[Value]
25.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
28.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  final def maxId: Int
    Definition Classes
      Enumeration
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
34.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
40.  def values: ValueSet
    Definition Classes
      Enumeration
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
44.  final def withName(s: String): Value
    Definition Classes
      Enumeration
45.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped